// JWMenu.java
// $Id: JWMenu.java,v 1.8 1999/10/20 07:54:42 bmahe Exp $
// (c) COPYRIGHT MIT, INRIA and Keio, 1999.
// Please first read the full copyright statement in file COPYRIGHT.html
  
package org.w3c.jwput.gui;

import java.awt.event.ActionListener;

import javax.swing.JMenuBar;
import javax.swing.JMenuItem;
import javax.swing.JMenu;

/**
 * Winie's MenuBar
 * @version $Revision: 1.8 $
 * @author  Benot Mah (bmahe@w3.org)
 */
public class JWMenu extends JMenuBar {
    
    protected static final String DELETE_CMD  = "Delete Document";
    protected static final String LOAD_CMD    = "Download Document";
    protected static final String SAVE_CMD    = "Upload Document";
    protected static final String QUIT_CMD    = "Quit";
    protected static final String PREF_CMD    = "Preferences...";
    protected static final String HELP_CMD    = "Help";
    protected static final String ABOUT_CMD   = "About Winie";
    protected static final String CONSOLE_CMD = "Console";

    protected JWMenu(ActionListener listener) {
	super();
	//
	// Menu file
	//
	JMenu file = new JMenu("File");
	add(file);
	JMenuItem delete = new JMenuItem(DELETE_CMD);
	JMenuItem load   = new JMenuItem(LOAD_CMD);
	JMenuItem save   = new JMenuItem(SAVE_CMD);
	JMenuItem quit   = new JMenuItem(QUIT_CMD);
	delete.addActionListener(listener);
	load.addActionListener(listener);
	save.addActionListener(listener);
	quit.addActionListener(listener);
	file.add(delete);
	file.add(load);
	file.add(save);
	file.addSeparator();
	file.add(quit);
	//
	// Menu edit
	//
	JMenu edit = new JMenu("Edit");
	add(edit);
	JMenuItem pref = new JMenuItem(PREF_CMD);
	pref.addActionListener(listener);
	edit.add(pref);
	//
	// Menu view
	//
	JMenu view = new JMenu("View");
	add(view);
	JMenuItem console  = new JMenuItem(CONSOLE_CMD);
	console.addActionListener(listener);
	view.add(console);
	//
	// Menu help
	//
	JMenu help = new JMenu("Help");
	add(help);
	JMenuItem help2  = new JMenuItem(HELP_CMD);
	JMenuItem about = new JMenuItem(ABOUT_CMD);
	help2.addActionListener(listener);
	about.addActionListener(listener);
	help.add(help2);
	help.add(about);
    }

}
